<mat-label>
  Select any template
</mat-label>
<table mat-table [dataSource]="templates" class="mat-elevation-z8">
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef>id</th>
    <td mat-cell *matCellDef="let element">{{ element.id }}</td>
  </ng-container>

  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef>Name</th>
    <td mat-cell *matCellDef="let element">{{ element.name }}</td>
  </ng-container>

  <ng-container matColumnDef="modified">
    <th mat-header-cell *matHeaderCellDef>Modified</th>
    <td mat-cell *matCellDef="let element">{{ formatDate(element.modified) }}</td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns"  (click)="selectTemplate(row)"></tr>
</table>
